# Copyright 2001-2025, Paul Johnson (paul@pjcj.net)

# This software is free.  It is licensed under the same terms as Perl itself.

# The latest version of this software should be available from my homepage:
# https://pjcj.net

# This file was automatically generated by Makefile.PL.

package Devel::Cover::Inc;

use strict;
use warnings;

our $VERSION      = "1.50";
our $Perl_version = '5.030003';
our @Inc          = @{ [
  '/opt/local/lib/perl5/5.30',
  '/opt/local/lib/perl5/5.30/darwin-thread-multi-2level',
  '/opt/local/lib/perl5/vendor_perl/5.30',
  '/opt/local/lib/perl5/vendor_perl/5.30/darwin-thread-multi-2level'
] };
chomp (our $Perl  = <<'EOV');  # Careful with \\ in the path
/opt/local/bin/perl5.30
EOV

if ($Perl_version ne $]) {
  print STDERR <<"EOM";

This version of Devel::Cover was built with Perl version $Perl_version.
It is now being run with Perl version $].
Attempting to make adjustments, but you may find that some of your modules do
not have coverage data collected.  You may need to alter the +-inc, +-ignore
and +-select options.

EOM
  eval "use Cwd";
  my %inc =
    map { -d $_ ? (($_ eq "." ? $_ : Cwd::abs_path($_)) => 1) : () } @INC;
  @Inc = sort keys %inc;
}

# TODO - check for threadedness, 64bits etc. ?

1
